service: demo
frameworkVersion: "3"

provider:
  name: aws
  runtime: nodejs18.x

functions:
  create-user:
    handler: src/createUser.handler
    events:
      - http:
          path: /users
          method: get
          cors: true

plugins:
  - serverless-localstack

custom:
  localstack:
    debug: true
    stages:
      - local
      - dev
    endpointFile: ./localstack/endpoints.json
